summaryrefslogtreecommitdiffstats
path: root/office/keepassxc
diff options
context:
space:
mode:
author Benjamin Trigona-Harany2017-01-03 11:37:52 +0100
committer Willy Sudiarto Raharjo2017-01-03 11:37:52 +0100
commit88f5fdc68840067adcddf503d6f998549c5345c4 (patch)
tree16c59915a2267b3e705742eca89b2692bfe48ec1 /office/keepassxc
parentfe0217e45f7b30e3ff51ccf23235a4b58b6f548a (diff)
downloadslackbuilds-88f5fdc68840067adcddf503d6f998549c5345c4.tar.gz
office/keepassxc: Added (personal data management application).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'office/keepassxc')
-rw-r--r--office/keepassxc/README13
-rw-r--r--office/keepassxc/doinst.sh7
-rw-r--r--office/keepassxc/keepassxc.SlackBuild99
-rw-r--r--office/keepassxc/keepassxc.info10
-rw-r--r--office/keepassxc/slack-desc19
5 files changed, 148 insertions, 0 deletions
diff --git a/office/keepassxc/README b/office/keepassxc/README
new file mode 100644
index 0000000000..d1a4dcc1c7
--- /dev/null
+++ b/office/keepassxc/README
@@ -0,0 +1,13 @@
+KeePassXC is a password and personal data management application that supports
+the KeePass Password Safe file format.
+
+KeePassXC is a fork of KeePassX that aims to incorporate stalled Pull Requests,
+features, and bug fixes that are not being incorporated into the main KeePassX
+baseline. KeePassXC may be installed alongside KeePassX (also available as a
+SlackBuild).
+
+KeePassXC has keepasshttp support, meaning that it can function as password
+storage for Mozilla Firefox and Chromium. This may be disabled by passing
+XC_HTTP=OFF to the script.
+
+Autotype may be disabled by passing XC_AUTOTYPE=OFF.
diff --git a/office/keepassxc/doinst.sh b/office/keepassxc/doinst.sh
new file mode 100644
index 0000000000..9a8ded3c60
--- /dev/null
+++ b/office/keepassxc/doinst.sh
@@ -0,0 +1,7 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
diff --git a/office/keepassxc/keepassxc.SlackBuild b/office/keepassxc/keepassxc.SlackBuild
new file mode 100644
index 0000000000..3b05dc0960
--- /dev/null
+++ b/office/keepassxc/keepassxc.SlackBuild
@@ -0,0 +1,99 @@
+#!/bin/sh
+
+# Slackware build script for KeePassXC
+
+# Copyright 2017 Benjamin Trigona-Harany <slackbuilds@jaxartes.net>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=keepassxc
+VERSION=${VERSION:-20160102}
+SRCREV=534364454d9504fed894bd073fcc96907e71dc76
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$SRCREV
+tar xvf $CWD/$PRGNAM-$SRCREV.tar.gz || tar xvf $CWD/$SRCREV.tar.gz
+cd $PRGNAM-$SRCREV
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DWITH_TESTS=OFF \
+ -DWITH_XC_HTTP="${XC_HTTP:-ON}" \
+ -DWITH_XC_AUTOTYPE="${XC_AUTOTYPE:-ON}" \
+ ..
+
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING INSTALL CHANGELOG $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/keepassxc/keepassxc.info b/office/keepassxc/keepassxc.info
new file mode 100644
index 0000000000..b303013226
--- /dev/null
+++ b/office/keepassxc/keepassxc.info
@@ -0,0 +1,10 @@
+PRGNAM="keepassxc"
+VERSION="20170102"
+HOMEPAGE="https://github.com/keepassxreboot/keepassxc"
+DOWNLOAD="https://github.com/keepassxreboot/keepassxc/archive/534364454d9504fed894bd073fcc96907e71dc76.tar.gz"
+MD5SUM="d7198e20cbd8ebe2e45b972efa2bb35c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="libmicrohttpd qt5"
+MAINTAINER="Benjamin Trigona-Harany"
+EMAIL="slackbuilds@jaxartes.net"
diff --git a/office/keepassxc/slack-desc b/office/keepassxc/slack-desc
new file mode 100644
index 0000000000..94bd6f83ce
--- /dev/null
+++ b/office/keepassxc/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+keepassxc: keepassxc (personal data management application)
+keepassxc:
+keepassxc: KeePassXC is a password and personal data management application
+keepassxc: forked from KeePassX.
+keepassxc:
+keepassxc:
+keepassxc:
+keepassxc:
+keepassxc:
+keepassxc:
+keepassxc: